
world
	view = 6

atom
	icon = 'icons.dmi'

mob
	base_state = "iso-mob"

	Login()
		..()
		src << "Use the arrow keys to move and the space bar to jump."

		SIDESCROLLER_DEBUG = 1

turf
	icon_state = "iso-floor"

	New()
		..()

		// make the tiles around the edge of the map tall enough that we can't
		// walk off the edge of the map.
		if(x == 1 || y == 1 || x == world.maxx || y == world.maxy)
			pdepth = 128

	wall
		density = 1
		icon_state = "iso-wall"
		pdepth = 16

		New()
			..()
			var/n = 0
			var/turf/t = locate(x,y+1,z)
			if(t && istype(t,type)) n += 1
			t = locate(x+1,y,z)
			if(t && istype(t,type)) n += 2
			t = locate(x,y-1,z)
			if(t && istype(t,type)) n += 4
			t = locate(x-1,y,z)
			if(t && istype(t,type)) n += 8
			icon_state = "iso-wall-[n]"

		short_wall
			icon_state = "iso-short-wall"
			pdepth = 10
			New()
				..()
				icon_state = "iso-short-wall"

obj
	bridge
		density = 1
		icon_state = "bridge"
		pixel_z = 16
		pz = 16
		pdepth = 10

client
	Northwest()
	Southwest()
	Northeast()
	Southeast()