
world
	proc
		movement_loop()
			movement()
			spawn(world.tick_lag)
				movement_loop()

		movement()
			for(var/mob/m in world)
				m.movement()

world
	tick_lag = 0.25

	New()
		..()

		spawn(world.tick_lag)
			movement_loop()

var
	// enables the display of some error messages and the debugging statpanel tab
	SIDESCROLLER_DEBUG = 0

mob
	Stat()
		..()

		if(SIDESCROLLER_DEBUG)
			statpanel("Sidescroller Debugging")
			stat("px, py", "[px], [py]")
			stat("vel_x, vel_y", "[vel_x], [vel_y]")
			stat("loc", "[x], [y], [z]")
			stat("icon_state", icon_state)
			stat("")
			stat("on_ground", on_ground)
			stat("on_left", on_left)
			stat("on_right", on_right)
			stat("on_top", on_top)
			stat("on_bottom", on_bottom)

			var/key_str = ""
			for(var/k in keys)
				if(keys[k])
					if(key_str)
						key_str += ", [k]"
					else
						key_str = k
			stat("keys pressed", key_str)